package com.gamedialog.utils;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

public class PrivacySplash extends Activity {

    private boolean isFirst;
    private PrivacyDialog privacyDialog;

    public static final String KEY = "FIRST";
    public static final String SP_NAME = "yygame_data";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        isFirst = ShareSpUtils.getBoolean(this, SP_NAME, KEY, true);
        if (isFirst) {
            privacyDialog = PrivacyDialog.get(this);
//            privacyDialog.setTxtTitle("用户协议及隐私政策保护指引");
//            privacyDialog.setTxtLeft("拒绝");
//            privacyDialog.setTxtRight("同意");
//            privacyDialog.setSingleBtn(false);
            privacyDialog.setCancelable(false);
            privacyDialog.setHavePrivacy(true);
            privacyDialog.setPrivacyType(false, "", "");
            privacyDialog.setTxtMsg(ShareSpUtils.getTermsString(this, "tips.txt"));

            privacyDialog.setOnClickListener(new PrivacyDialog.OnClickListener() {
                @Override
                public void onRightClick() {
                    ShareSpUtils.putBoolean(PrivacySplash.this, SP_NAME, KEY, false);
                    Intent intent = new Intent(PrivacySplash.this, MainActivity.class);
                    startActivity(intent);
                    finish();
                }

                @Override
                public void onLeftClick() {
                    finish();
                    System.exit(0);
                }
            }).show();
        } else {
            Intent intent = new Intent(PrivacySplash.this, MainActivity.class);
            startActivity(intent);
            finish();
        }
    }
}
